# Generated by Django 3.1.14 on 2022-05-06 13:33

from django.db import migrations, models
import django.db.models.deletion
import modelcluster.fields
import uuid
import wagtail.core.blocks
import wagtail.core.blocks.field_block
import wagtail.core.fields
import wagtail.documents.blocks
import wagtail.embeds.blocks
import wagtail.images.blocks
import wagtail.snippets.blocks
import wagtail_localize.test.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("wagtaildocs", "0010_document_file_hash"),
        ("wagtailcore", "0059_apply_collection_ordering"),
        ("wagtailimages", "0022_uploadedimage"),
        ("wagtail_localize", "0015_translationcontext_field_path"),
    ]

    operations = [
        migrations.CreateModel(
            name="CustomButSimpleTranslationData",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("notes", models.CharField(max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name="NonTranslatableModel",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("title", models.CharField(blank=True, max_length=255)),
            ],
        ),
        migrations.CreateModel(
            name="NonTranslatableSnippet",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("field", models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name="PageWithCustomEditHandler",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                ("foo_field", models.TextField()),
                ("bar_field", models.TextField()),
                ("baz_field", models.TextField()),
            ],
            options={
                "abstract": False,
            },
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="TestGenerateTranslatableFieldsPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                ("test_charfield", models.CharField(blank=True, max_length=255)),
                (
                    "test_charfield_with_choices",
                    models.CharField(
                        blank=True, choices=[("a", "A"), ("b", "B")], max_length=255
                    ),
                ),
                ("test_textfield", models.TextField(blank=True)),
                ("test_emailfield", models.EmailField(blank=True, max_length=254)),
                ("test_slugfield", models.SlugField(blank=True)),
                ("test_urlfield", models.URLField(blank=True)),
                ("test_richtextfield", wagtail.core.fields.RichTextField(blank=True)),
                (
                    "test_streamfield",
                    wagtail.core.fields.StreamField(
                        [
                            (
                                "test_charblock",
                                wagtail.core.blocks.CharBlock(max_length=255),
                            ),
                            (
                                "test_textblock",
                                wagtail.core.blocks.TextBlock(label="text block"),
                            ),
                            ("test_emailblock", wagtail.core.blocks.EmailBlock()),
                            ("test_urlblock", wagtail.core.blocks.URLBlock()),
                            ("test_richtextblock", wagtail.core.blocks.RichTextBlock()),
                            ("test_rawhtmlblock", wagtail.core.blocks.RawHTMLBlock()),
                            (
                                "test_blockquoteblock",
                                wagtail.core.blocks.BlockQuoteBlock(),
                            ),
                            (
                                "test_structblock",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        ("field_a", wagtail.core.blocks.TextBlock()),
                                        ("field_b", wagtail.core.blocks.TextBlock()),
                                    ]
                                ),
                            ),
                            (
                                "test_listblock",
                                wagtail.core.blocks.ListBlock(
                                    wagtail.core.blocks.TextBlock()
                                ),
                            ),
                            (
                                "test_listblock_in_structblock",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "title",
                                            wagtail.core.blocks.CharBlock(
                                                required=False
                                            ),
                                        ),
                                        (
                                            "items",
                                            wagtail.core.blocks.ListBlock(
                                                wagtail.core.blocks.field_block.CharBlock
                                            ),
                                        ),
                                        (
                                            "links_list",
                                            wagtail.core.blocks.ListBlock(
                                                wagtail.core.blocks.StructBlock(
                                                    [
                                                        (
                                                            "heading",
                                                            wagtail.core.blocks.CharBlock(
                                                                blank=True,
                                                                label="List Heading",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "pages",
                                                            wagtail.core.blocks.ListBlock(
                                                                wagtail.core.blocks.PageChooserBlock()
                                                            ),
                                                        ),
                                                    ]
                                                )
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "test_nestedstreamblock",
                                wagtail.core.blocks.StreamBlock(
                                    [
                                        ("block_a", wagtail.core.blocks.TextBlock()),
                                        ("block_b", wagtail.core.blocks.TextBlock()),
                                        (
                                            "block_l",
                                            wagtail.core.blocks.ListBlock(
                                                wagtail.core.blocks.CharBlock()
                                            ),
                                        ),
                                        (
                                            "chooser",
                                            wagtail.core.blocks.PageChooserBlock(),
                                        ),
                                        (
                                            "chooser_in_struct",
                                            wagtail.core.blocks.StructBlock(
                                                [
                                                    (
                                                        "page",
                                                        wagtail.core.blocks.PageChooserBlock(),
                                                    )
                                                ]
                                            ),
                                        ),
                                        (
                                            "chooser_in_list",
                                            wagtail.core.blocks.ListBlock(
                                                wagtail.core.blocks.PageChooserBlock()
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "test_streamblock_in_structblock",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "nested_stream",
                                            wagtail.core.blocks.StreamBlock(
                                                [
                                                    (
                                                        "page",
                                                        wagtail.core.blocks.PageChooserBlock(),
                                                    ),
                                                    (
                                                        "checklist",
                                                        wagtail.core.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "page",
                                                                    wagtail.core.blocks.PageChooserBlock(),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ]
                                            ),
                                        )
                                    ]
                                ),
                            ),
                            (
                                "test_customstructblock",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        ("field_a", wagtail.core.blocks.TextBlock()),
                                        ("field_b", wagtail.core.blocks.TextBlock()),
                                    ]
                                ),
                            ),
                            (
                                "test_customblockwithoutextractmethod",
                                wagtail_localize.test.models.CustomBlockWithoutExtractMethod(),
                            ),
                            (
                                "test_pagechooserblock",
                                wagtail.core.blocks.PageChooserBlock(),
                            ),
                            (
                                "test_pagechooserblock_with_restricted_types",
                                wagtail.core.blocks.PageChooserBlock(
                                    [
                                        "wagtail_localize_test.TestHomePage",
                                        "wagtail_localize_test.TestPage",
                                    ]
                                ),
                            ),
                            (
                                "test_imagechooserblock",
                                wagtail.images.blocks.ImageChooserBlock(),
                            ),
                            (
                                "test_documentchooserblock",
                                wagtail.documents.blocks.DocumentChooserBlock(),
                            ),
                            (
                                "test_snippetchooserblock",
                                wagtail.snippets.blocks.SnippetChooserBlock(
                                    wagtail_localize.test.models.TestSnippet
                                ),
                            ),
                            (
                                "test_nontranslatablesnippetchooserblock",
                                wagtail.snippets.blocks.SnippetChooserBlock(
                                    wagtail_localize.test.models.NonTranslatableSnippet
                                ),
                            ),
                            ("test_embedblock", wagtail.embeds.blocks.EmbedBlock()),
                            (
                                "test_chooserstructblock",
                                wagtail.core.blocks.StructBlock(
                                    [("page", wagtail.core.blocks.PageChooserBlock())]
                                ),
                            ),
                            (
                                "test_nestedchooserstructblock",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "nested_page",
                                            wagtail.core.blocks.StructBlock(
                                                [
                                                    (
                                                        "page",
                                                        wagtail.core.blocks.PageChooserBlock(),
                                                    )
                                                ]
                                            ),
                                        )
                                    ]
                                ),
                            ),
                        ],
                        blank=True,
                    ),
                ),
                (
                    "test_customfield",
                    wagtail_localize.test.models.TestCustomField(blank=True),
                ),
                (
                    "test_nontranslatablesnippet",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtail_localize_test.nontranslatablesnippet",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="TestHomePage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="TestModel",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "translation_key",
                    models.UUIDField(default=uuid.uuid4, editable=False),
                ),
                ("title", models.CharField(max_length=255)),
                ("test_charfield", models.CharField(blank=True, max_length=255)),
                ("test_textfield", models.TextField(blank=True)),
                ("test_emailfield", models.EmailField(blank=True, max_length=254)),
                (
                    "locale",
                    models.ForeignKey(
                        editable=False,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtailcore.locale",
                    ),
                ),
            ],
            options={
                "abstract": False,
                "unique_together": {("translation_key", "locale")},
            },
        ),
        migrations.CreateModel(
            name="TestPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "test_charfield",
                    models.CharField(
                        blank=True,
                        default="",
                        max_length=255,
                        null=True,
                        verbose_name="char field",
                    ),
                ),
                ("test_textfield", models.TextField(blank=True)),
                ("test_emailfield", models.EmailField(blank=True, max_length=254)),
                ("test_slugfield", models.SlugField(blank=True)),
                ("test_urlfield", models.URLField(blank=True)),
                ("test_richtextfield", wagtail.core.fields.RichTextField(blank=True)),
                (
                    "test_streamfield",
                    wagtail.core.fields.StreamField(
                        [
                            (
                                "test_charblock",
                                wagtail.core.blocks.CharBlock(max_length=255),
                            ),
                            (
                                "test_textblock",
                                wagtail.core.blocks.TextBlock(label="text block"),
                            ),
                            ("test_emailblock", wagtail.core.blocks.EmailBlock()),
                            ("test_urlblock", wagtail.core.blocks.URLBlock()),
                            ("test_richtextblock", wagtail.core.blocks.RichTextBlock()),
                            ("test_rawhtmlblock", wagtail.core.blocks.RawHTMLBlock()),
                            (
                                "test_blockquoteblock",
                                wagtail.core.blocks.BlockQuoteBlock(),
                            ),
                            (
                                "test_structblock",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        ("field_a", wagtail.core.blocks.TextBlock()),
                                        ("field_b", wagtail.core.blocks.TextBlock()),
                                    ]
                                ),
                            ),
                            (
                                "test_listblock",
                                wagtail.core.blocks.ListBlock(
                                    wagtail.core.blocks.TextBlock()
                                ),
                            ),
                            (
                                "test_listblock_in_structblock",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "title",
                                            wagtail.core.blocks.CharBlock(
                                                required=False
                                            ),
                                        ),
                                        (
                                            "items",
                                            wagtail.core.blocks.ListBlock(
                                                wagtail.core.blocks.field_block.CharBlock
                                            ),
                                        ),
                                        (
                                            "links_list",
                                            wagtail.core.blocks.ListBlock(
                                                wagtail.core.blocks.StructBlock(
                                                    [
                                                        (
                                                            "heading",
                                                            wagtail.core.blocks.CharBlock(
                                                                blank=True,
                                                                label="List Heading",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "pages",
                                                            wagtail.core.blocks.ListBlock(
                                                                wagtail.core.blocks.PageChooserBlock()
                                                            ),
                                                        ),
                                                    ]
                                                )
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "test_nestedstreamblock",
                                wagtail.core.blocks.StreamBlock(
                                    [
                                        ("block_a", wagtail.core.blocks.TextBlock()),
                                        ("block_b", wagtail.core.blocks.TextBlock()),
                                        (
                                            "block_l",
                                            wagtail.core.blocks.ListBlock(
                                                wagtail.core.blocks.CharBlock()
                                            ),
                                        ),
                                        (
                                            "chooser",
                                            wagtail.core.blocks.PageChooserBlock(),
                                        ),
                                        (
                                            "chooser_in_struct",
                                            wagtail.core.blocks.StructBlock(
                                                [
                                                    (
                                                        "page",
                                                        wagtail.core.blocks.PageChooserBlock(),
                                                    )
                                                ]
                                            ),
                                        ),
                                        (
                                            "chooser_in_list",
                                            wagtail.core.blocks.ListBlock(
                                                wagtail.core.blocks.PageChooserBlock()
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "test_streamblock_in_structblock",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "nested_stream",
                                            wagtail.core.blocks.StreamBlock(
                                                [
                                                    (
                                                        "page",
                                                        wagtail.core.blocks.PageChooserBlock(),
                                                    ),
                                                    (
                                                        "checklist",
                                                        wagtail.core.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "page",
                                                                    wagtail.core.blocks.PageChooserBlock(),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ]
                                            ),
                                        )
                                    ]
                                ),
                            ),
                            (
                                "test_customstructblock",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        ("field_a", wagtail.core.blocks.TextBlock()),
                                        ("field_b", wagtail.core.blocks.TextBlock()),
                                    ]
                                ),
                            ),
                            (
                                "test_customblockwithoutextractmethod",
                                wagtail_localize.test.models.CustomBlockWithoutExtractMethod(),
                            ),
                            (
                                "test_pagechooserblock",
                                wagtail.core.blocks.PageChooserBlock(),
                            ),
                            (
                                "test_pagechooserblock_with_restricted_types",
                                wagtail.core.blocks.PageChooserBlock(
                                    [
                                        "wagtail_localize_test.TestHomePage",
                                        "wagtail_localize_test.TestPage",
                                    ]
                                ),
                            ),
                            (
                                "test_imagechooserblock",
                                wagtail.images.blocks.ImageChooserBlock(),
                            ),
                            (
                                "test_documentchooserblock",
                                wagtail.documents.blocks.DocumentChooserBlock(),
                            ),
                            (
                                "test_snippetchooserblock",
                                wagtail.snippets.blocks.SnippetChooserBlock(
                                    wagtail_localize.test.models.TestSnippet
                                ),
                            ),
                            (
                                "test_nontranslatablesnippetchooserblock",
                                wagtail.snippets.blocks.SnippetChooserBlock(
                                    wagtail_localize.test.models.NonTranslatableSnippet
                                ),
                            ),
                            ("test_embedblock", wagtail.embeds.blocks.EmbedBlock()),
                            (
                                "test_chooserstructblock",
                                wagtail.core.blocks.StructBlock(
                                    [("page", wagtail.core.blocks.PageChooserBlock())]
                                ),
                            ),
                            (
                                "test_nestedchooserstructblock",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "nested_page",
                                            wagtail.core.blocks.StructBlock(
                                                [
                                                    (
                                                        "page",
                                                        wagtail.core.blocks.PageChooserBlock(),
                                                    )
                                                ]
                                            ),
                                        )
                                    ]
                                ),
                            ),
                        ],
                        blank=True,
                    ),
                ),
                (
                    "test_customfield",
                    wagtail_localize.test.models.TestCustomField(blank=True),
                ),
                (
                    "test_synchronized_charfield",
                    models.CharField(blank=True, max_length=255),
                ),
                ("test_synchronized_textfield", models.TextField(blank=True)),
                (
                    "test_not_overridable_synchronized_textfield",
                    models.TextField(blank=True),
                ),
                (
                    "test_synchronized_emailfield",
                    models.EmailField(blank=True, max_length=254),
                ),
                ("test_synchronized_slugfield", models.SlugField(blank=True)),
                ("test_synchronized_urlfield", models.URLField(blank=True)),
                (
                    "test_synchronized_richtextfield",
                    wagtail.core.fields.RichTextField(blank=True),
                ),
                (
                    "test_synchronized_streamfield",
                    wagtail.core.fields.StreamField(
                        [
                            (
                                "test_charblock",
                                wagtail.core.blocks.CharBlock(max_length=255),
                            ),
                            (
                                "test_textblock",
                                wagtail.core.blocks.TextBlock(label="text block"),
                            ),
                            ("test_emailblock", wagtail.core.blocks.EmailBlock()),
                            ("test_urlblock", wagtail.core.blocks.URLBlock()),
                            ("test_richtextblock", wagtail.core.blocks.RichTextBlock()),
                            ("test_rawhtmlblock", wagtail.core.blocks.RawHTMLBlock()),
                            (
                                "test_blockquoteblock",
                                wagtail.core.blocks.BlockQuoteBlock(),
                            ),
                            (
                                "test_structblock",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        ("field_a", wagtail.core.blocks.TextBlock()),
                                        ("field_b", wagtail.core.blocks.TextBlock()),
                                    ]
                                ),
                            ),
                            (
                                "test_listblock",
                                wagtail.core.blocks.ListBlock(
                                    wagtail.core.blocks.TextBlock()
                                ),
                            ),
                            (
                                "test_listblock_in_structblock",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "title",
                                            wagtail.core.blocks.CharBlock(
                                                required=False
                                            ),
                                        ),
                                        (
                                            "items",
                                            wagtail.core.blocks.ListBlock(
                                                wagtail.core.blocks.field_block.CharBlock
                                            ),
                                        ),
                                        (
                                            "links_list",
                                            wagtail.core.blocks.ListBlock(
                                                wagtail.core.blocks.StructBlock(
                                                    [
                                                        (
                                                            "heading",
                                                            wagtail.core.blocks.CharBlock(
                                                                blank=True,
                                                                label="List Heading",
                                                                required=False,
                                                            ),
                                                        ),
                                                        (
                                                            "pages",
                                                            wagtail.core.blocks.ListBlock(
                                                                wagtail.core.blocks.PageChooserBlock()
                                                            ),
                                                        ),
                                                    ]
                                                )
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "test_nestedstreamblock",
                                wagtail.core.blocks.StreamBlock(
                                    [
                                        ("block_a", wagtail.core.blocks.TextBlock()),
                                        ("block_b", wagtail.core.blocks.TextBlock()),
                                        (
                                            "block_l",
                                            wagtail.core.blocks.ListBlock(
                                                wagtail.core.blocks.CharBlock()
                                            ),
                                        ),
                                        (
                                            "chooser",
                                            wagtail.core.blocks.PageChooserBlock(),
                                        ),
                                        (
                                            "chooser_in_struct",
                                            wagtail.core.blocks.StructBlock(
                                                [
                                                    (
                                                        "page",
                                                        wagtail.core.blocks.PageChooserBlock(),
                                                    )
                                                ]
                                            ),
                                        ),
                                        (
                                            "chooser_in_list",
                                            wagtail.core.blocks.ListBlock(
                                                wagtail.core.blocks.PageChooserBlock()
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "test_streamblock_in_structblock",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "nested_stream",
                                            wagtail.core.blocks.StreamBlock(
                                                [
                                                    (
                                                        "page",
                                                        wagtail.core.blocks.PageChooserBlock(),
                                                    ),
                                                    (
                                                        "checklist",
                                                        wagtail.core.blocks.StructBlock(
                                                            [
                                                                (
                                                                    "page",
                                                                    wagtail.core.blocks.PageChooserBlock(),
                                                                )
                                                            ]
                                                        ),
                                                    ),
                                                ]
                                            ),
                                        )
                                    ]
                                ),
                            ),
                            (
                                "test_customstructblock",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        ("field_a", wagtail.core.blocks.TextBlock()),
                                        ("field_b", wagtail.core.blocks.TextBlock()),
                                    ]
                                ),
                            ),
                            (
                                "test_customblockwithoutextractmethod",
                                wagtail_localize.test.models.CustomBlockWithoutExtractMethod(),
                            ),
                            (
                                "test_pagechooserblock",
                                wagtail.core.blocks.PageChooserBlock(),
                            ),
                            (
                                "test_pagechooserblock_with_restricted_types",
                                wagtail.core.blocks.PageChooserBlock(
                                    [
                                        "wagtail_localize_test.TestHomePage",
                                        "wagtail_localize_test.TestPage",
                                    ]
                                ),
                            ),
                            (
                                "test_imagechooserblock",
                                wagtail.images.blocks.ImageChooserBlock(),
                            ),
                            (
                                "test_documentchooserblock",
                                wagtail.documents.blocks.DocumentChooserBlock(),
                            ),
                            (
                                "test_snippetchooserblock",
                                wagtail.snippets.blocks.SnippetChooserBlock(
                                    wagtail_localize.test.models.TestSnippet
                                ),
                            ),
                            (
                                "test_nontranslatablesnippetchooserblock",
                                wagtail.snippets.blocks.SnippetChooserBlock(
                                    wagtail_localize.test.models.NonTranslatableSnippet
                                ),
                            ),
                            ("test_embedblock", wagtail.embeds.blocks.EmbedBlock()),
                            (
                                "test_chooserstructblock",
                                wagtail.core.blocks.StructBlock(
                                    [("page", wagtail.core.blocks.PageChooserBlock())]
                                ),
                            ),
                            (
                                "test_nestedchooserstructblock",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "nested_page",
                                            wagtail.core.blocks.StructBlock(
                                                [
                                                    (
                                                        "page",
                                                        wagtail.core.blocks.PageChooserBlock(),
                                                    )
                                                ]
                                            ),
                                        )
                                    ]
                                ),
                            ),
                        ],
                        blank=True,
                    ),
                ),
                (
                    "test_synchronized_customfield",
                    wagtail_localize.test.models.TestCustomField(blank=True),
                ),
                (
                    "test_page",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "test_page_specific_type",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtail_localize_test.testhomepage",
                    ),
                ),
                (
                    "test_page_with_restricted_types",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailcore.page",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="TestUUIDModel",
            fields=[
                (
                    "id",
                    models.UUIDField(
                        default=uuid.uuid4,
                        editable=False,
                        primary_key=True,
                        serialize=False,
                    ),
                ),
                ("charfield", models.CharField(blank=True, max_length=10)),
            ],
        ),
        migrations.CreateModel(
            name="TestWithTranslationModeDisabledPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="TestWithTranslationModeEnabledPage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=("wagtailcore.page",),
        ),
        migrations.CreateModel(
            name="InheritedTestModel",
            fields=[
                (
                    "testmodel_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtail_localize_test.testmodel",
                    ),
                ),
            ],
            bases=("wagtail_localize_test.testmodel",),
        ),
        migrations.CreateModel(
            name="TestOverrideTranslatableFieldsPage",
            fields=[
                (
                    "testgeneratetranslatablefieldspage_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtail_localize_test.testgeneratetranslatablefieldspage",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
            bases=("wagtail_localize_test.testgeneratetranslatablefieldspage",),
        ),
        migrations.CreateModel(
            name="TestSynchronizedChildObject",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "sort_order",
                    models.IntegerField(blank=True, editable=False, null=True),
                ),
                ("field", models.TextField()),
                (
                    "page",
                    modelcluster.fields.ParentalKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="test_synchronized_childobjects",
                        to="wagtail_localize_test.testpage",
                    ),
                ),
            ],
            options={
                "ordering": ["sort_order"],
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="TestSnippet",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "translation_key",
                    models.UUIDField(default=uuid.uuid4, editable=False),
                ),
                ("field", models.TextField(verbose_name="field")),
                ("small_charfield", models.CharField(blank=True, max_length=10)),
                (
                    "locale",
                    models.ForeignKey(
                        editable=False,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtailcore.locale",
                    ),
                ),
            ],
            options={
                "abstract": False,
                "unique_together": {("translation_key", "locale")},
            },
        ),
        migrations.AddField(
            model_name="testpage",
            name="test_snippet",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="wagtail_localize_test.testsnippet",
            ),
        ),
        migrations.AddField(
            model_name="testpage",
            name="test_synchronized_document",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="wagtaildocs.document",
            ),
        ),
        migrations.AddField(
            model_name="testpage",
            name="test_synchronized_image",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="wagtailimages.image",
            ),
        ),
        migrations.AddField(
            model_name="testpage",
            name="test_synchronized_snippet",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                related_name="+",
                to="wagtail_localize_test.testsnippet",
            ),
        ),
        migrations.AddField(
            model_name="testgeneratetranslatablefieldspage",
            name="test_snippet",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.SET_NULL,
                to="wagtail_localize_test.testsnippet",
            ),
        ),
        migrations.CreateModel(
            name="NonTranslatableChildObject",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "sort_order",
                    models.IntegerField(blank=True, editable=False, null=True),
                ),
                ("field", models.TextField()),
                (
                    "page",
                    modelcluster.fields.ParentalKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="test_nontranslatable_childobjects",
                        to="wagtail_localize_test.testgeneratetranslatablefieldspage",
                    ),
                ),
            ],
            options={
                "ordering": ["sort_order"],
                "abstract": False,
            },
        ),
        migrations.CreateModel(
            name="CustomTranslationData",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("custom_text_field", models.CharField(max_length=255)),
                (
                    "translation_source",
                    models.ForeignKey(
                        editable=False,
                        on_delete=django.db.models.deletion.CASCADE,
                        to="wagtail_localize.translationsource",
                    ),
                ),
            ],
        ),
        migrations.CreateModel(
            name="TranslatableChildObject",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "translation_key",
                    models.UUIDField(default=uuid.uuid4, editable=False),
                ),
                (
                    "sort_order",
                    models.IntegerField(blank=True, editable=False, null=True),
                ),
                ("field", models.TextField()),
                (
                    "locale",
                    models.ForeignKey(
                        editable=False,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtailcore.locale",
                    ),
                ),
                (
                    "page",
                    modelcluster.fields.ParentalKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="test_translatable_childobjects",
                        to="wagtail_localize_test.testgeneratetranslatablefieldspage",
                    ),
                ),
            ],
            options={
                "ordering": ["sort_order"],
                "abstract": False,
                "unique_together": {("translation_key", "locale")},
            },
        ),
        migrations.CreateModel(
            name="TestUUIDSnippet",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "translation_key",
                    models.UUIDField(default=uuid.uuid4, editable=False),
                ),
                (
                    "field",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="wagtail_localize_test.testuuidmodel",
                    ),
                ),
                (
                    "locale",
                    models.ForeignKey(
                        editable=False,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtailcore.locale",
                    ),
                ),
            ],
            options={
                "abstract": False,
                "unique_together": {("translation_key", "locale")},
            },
        ),
        migrations.CreateModel(
            name="TestNonParentalChildObject",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "translation_key",
                    models.UUIDField(default=uuid.uuid4, editable=False),
                ),
                (
                    "sort_order",
                    models.IntegerField(blank=True, editable=False, null=True),
                ),
                ("field", models.TextField()),
                (
                    "locale",
                    models.ForeignKey(
                        editable=False,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtailcore.locale",
                    ),
                ),
                (
                    "page",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="test_nonparentalchildobjects",
                        to="wagtail_localize_test.testpage",
                    ),
                ),
            ],
            options={
                "abstract": False,
                "unique_together": {("translation_key", "locale")},
            },
        ),
        migrations.CreateModel(
            name="TestModelWithInvalidForeignKey",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "translation_key",
                    models.UUIDField(default=uuid.uuid4, editable=False),
                ),
                (
                    "fk",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="wagtailcore.site",
                    ),
                ),
                (
                    "locale",
                    models.ForeignKey(
                        editable=False,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtailcore.locale",
                    ),
                ),
            ],
            options={
                "abstract": False,
                "unique_together": {("translation_key", "locale")},
            },
        ),
        migrations.CreateModel(
            name="TestChildObject",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "translation_key",
                    models.UUIDField(default=uuid.uuid4, editable=False),
                ),
                (
                    "sort_order",
                    models.IntegerField(blank=True, editable=False, null=True),
                ),
                ("field", models.TextField()),
                (
                    "locale",
                    models.ForeignKey(
                        editable=False,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtailcore.locale",
                    ),
                ),
                (
                    "page",
                    modelcluster.fields.ParentalKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="test_childobjects",
                        to="wagtail_localize_test.testpage",
                    ),
                ),
            ],
            options={
                "ordering": ["sort_order"],
                "abstract": False,
                "unique_together": {("translation_key", "locale")},
            },
        ),
        migrations.CreateModel(
            name="PageWithCustomEditHandlerChildObject",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "translation_key",
                    models.UUIDField(default=uuid.uuid4, editable=False),
                ),
                (
                    "sort_order",
                    models.IntegerField(blank=True, editable=False, null=True),
                ),
                ("field", models.TextField()),
                (
                    "locale",
                    models.ForeignKey(
                        editable=False,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="+",
                        to="wagtailcore.locale",
                    ),
                ),
                (
                    "page",
                    modelcluster.fields.ParentalKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="child_objects",
                        to="wagtail_localize_test.pagewithcustomedithandler",
                    ),
                ),
            ],
            options={
                "ordering": ["sort_order"],
                "abstract": False,
                "unique_together": {("translation_key", "locale")},
            },
        ),
    ]
